import {getBasicThirdSys} from "@/api/basic/basicThirdSys";


export default {
  name: "thirdSysSelect",
  props: {value:""},
  data() {
    return {
      val: '',
      list:[],
    }
  },
  watch: {
    val(newVal) {
      this.$emit('update:value', newVal);
    },
    value(newVal) {
      this.val = newVal
    },
  },
  created() {
    this.val=this.value
    this.getList()
  },
  methods: {
    getList(){
      getBasicThirdSys({enable: true}).then(res=>{
        if(res.code==20000){
          this.list = res.data.list||[]
        }
      })
    }
  }
}
